package com.bocloud.nms.model.hillstone;

import java.util.Objects;

public class SNMPV3GroupModel extends HillStoneGenericModel {
    private Long vendorId; // 所属平台
    private String groupName; // 名称
    private Integer securityMode; // 安全模式
    private Integer securityLevel; // 安全级别 1->不认证；2->认证；3->认证并加密
    private String readView; // 可读视图
    private String writeView; // 写视图

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Integer getSecurityMode() {
        return securityMode;
    }

    public void setSecurityMode(Integer securityMode) {
        this.securityMode = securityMode;
    }

    public Integer getSecurityLevel() {
        return securityLevel;
    }

    public void setSecurityLevel(Integer securityLevel) {
        this.securityLevel = securityLevel;
    }

    public String getReadView() {
        return readView;
    }

    public void setReadView(String readView) {
        this.readView = readView;
    }

    public String getWriteView() {
        return writeView;
    }

    public void setWriteView(String writeView) {
        this.writeView = writeView;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        SNMPV3GroupModel that = (SNMPV3GroupModel) o;
        return Objects.equals(vendorId, that.vendorId) &&
            Objects.equals(groupName, that.groupName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(vendorId, groupName);
    }
}
